Subject: bug#20368: 25.0.50; [debbugs] Search by 'submitter' doesn't work when the search phrase is present

From: Michael Albinus <[email-masked]>
Date: Thu, 11 Aug 2016 13:18:44 +0200

Michael Albinus <[email-masked]> writes:

> Dmitry Gutov <[email-masked]> writes:
>
>> In debbugs 0.7.
>>
>> 1. M-x debbugs-gnu-search
>>
>> 2. Type 'url-retrieve-synchronously', press RET.
>>
>> 3. Type 'submitter', RET, [email-masked]', RET.
>>
>> 4. See an empty result list.
>>
>> If I input an empty string in step 2, or omit the 'submitter' parameter,
>> I see several bugs returned, in both cases including 19729 and 19860.
>
> There seems to be a problem on the SOAP interface which I need to
> investigate further. Unfortunately, next week I'll start to be offline
> for a while, so it might take its time.

Well, it took a while before I could work on this. Using debbugs 0.10,
it is fixed:

1. M-x debbugs-gnu-search

2. Type 'url-retrieve-synchronously', press RET.

3. Type 'author', RET, [email-masked]', RET.

--> This is the fix. "submitter" was the wrong attribute, it isn't
offered anymore.

4. See bugs 24117, 20368, 20207, 19860, 19729, 12893.

Could you, please, cross-check?

Best regards, Michael.